---
const { id } = Astro.props;
---

<section
  class="bg-white h-screen w-screen text-center overflow-hidden relative"
  id={id}
>
  <div class="z-30 relative h-full flex flex-col pt-[100px]">
    <header>
      <h2 class="text-black text-3xl font-medium">
        Desde l’Empordà haciendo amigos
      </h2>
      <p class="text-black text-sm">
        SÍGUENOS EN LAS REDES SOCIALES PARA LAS ÚLTIMAS NOTICIAS
      </p>
    </header>

    <main>
      <div class="flex flex-row w-4/12">
        <div
          class="flex flex-col m-10 p-5 px-10 bg-black/20 backdrop-blur-sm rounded"
        >
          <h2
            class="text-black text-2xl font-medium rounded bg-black/5 backdrop-blur-sm p-1"
          >
            Destacado
          </h2>
          <p class="text-black text-sm pt-2">Aparcamiento gratuito</p>
          <img src="/parking.avif" class="pt-3 pb-3" />
          <p class="text-black text-sm pt-1">
            Aquí puedes consultar la agenda de todas las actividades y
            propuestas que hay cada semana en el Ampurdán.
          </p>
          <a
            href="https://www.empordaturisme.com/agenda/"
            target="_blank"
            class="flex flex-row pt-4"
          >
            <img src="/eturisme.png" class="h-12 w-28 mr-3" />
            <p class="text-sm flex items-center">
              CLICK AQUÍ<br />Emporda Turisme - Agenda
            </p>
          </a>
        </div>
      </div>
    </main>

    <footer class="flex flex-col flex-grow justify-end pb-20">
      <div>
        <a
          class="text-white border-2 bg-black backdrop-blur-sm border-black rounded font-medium px-10 py-2 inline-block hover:bg-white hover:text-black transition-colors"
          href="#"
        >
          Explora nuestro entorno</a
        >
      </div>
    </footer>
  </div>
</section>
